@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
    --cl-cyan: #047d81;
    --cl-cyan-hover: #002c2e;
}

html,
body {
    margin: 0 auto;
    font-size: 14px;
    font-family: 'Montserrat';
    background: #f0f0f0;
}

* {
    box-sizing: border-box;
}

.fullwrap {
    position: absolute;
    width: 100%;
    min-height: 100%;
    overflow: initial;
}

/*
*:not(input) {
    user-select: none;
}
*/

main {
    padding-bottom: 100px;
    font-family: 'Montserrat';
    padding: 20px;
    background: #fff;
    width: 1880px;
    margin: 20px auto 0;
    border-radius: 10px;
    box-shadow: 0 0 8px 0 #00000020;
}

.header {
    position: sticky;
    top: 0;
    z-index: 99;
    background: #ffffffdd;
    backdrop-filter: blur(5px);
}

.container {
    margin: 0 auto;
    width: 100%;
    max-width: 1880px;
}
.input-table{
    display: flex;
    border: 0;
    font-family: 'Montserrat';
    text-align: center;
    max-width: 60px;
    text-align: center;
    margin: 0 auto;
    padding: 4px 6px;
    background: transparent;
    font-size: 11px;
}

.wrap {
    display: grid;
    gap: 12px;
}

.pagination {
    display: flex;
    align-items: center;
    gap: 12px;
    margin: 32px auto;
    justify-content: center;
}
.pagination__link {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}
a.pagination__link,
button.pagination__link
{
    background: #fff;
    transition: 0.4s;
    font-weight: 700;
    color: #000;
    border-radius: 4px;
    box-shadow: 0px 2px 4px 0px rgba(44, 7, 15, 0.14);
}

a.pagination__link:hover,
button.pagination__link:hover,
.pagination__link._current {
    background-color: var(--cl-cyan);
    color: #fff;
}

.pagination:not(.corner) *:nth-child(2),
.pagination:not(.corner) *:nth-last-child(2),
.pagination.corner *:nth-child(1),
.pagination.corner *:nth-last-child(1)
{
    display: none;
}

.popup__results .result:first-child{
    position: sticky;
    top: 0;
}
.row{
    display: flex;
    gap: 12px;
}

@media (max-width: 1919px){
    .container{
        max-width: 1560px;
    }
    .main{
        max-width: 1560px;
    }
}

@media (max-width: 1599px){
    .container{
        max-width: 1160px;
    }
    .main{
        max-width: 1160px;
    }
}
.header__row {
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav__row {
    display: flex;
    gap: 20px;
    margin: 20px 0;
}

.nav__item {
    padding: 10px 20px;
    display: flex;
    gap: 10px;
    align-items: center;
    background: #fff;
    box-shadow: 0 0 4px 0 #00000020;
    border-radius: 10px;
    transition: 0.4s;
    font-weight: 500;
    font-size: 16px;
    cursor: pointer;
}

.nav__item.lesser {
    padding: 6px 14px;
    font-size: 14px;
}

.nav__item:hover {
    background: var(--cl-cyan-hover);
    color: #fff;
}

.nav:not(.active) .hidden {
    display: none;
}

.nav__item.active,
.nav__item.active:hover {
    background: var(--cl-cyan);
    color: #fff;
}

.nav.active .transfer {
    background: #000;
    color: #fff;
}

.index__row {
    border: solid 2px var(--cl-cyan);
    border-radius: 4px;
    overflow: hidden;
}

.index__item {
    display: grid;
    grid-template-columns: 50px 1fr 1fr 120px;
    padding: 10px 20px;
    align-items: center;
}

.index__item._details {
    display: grid;
    grid-template-columns: 50px repeat(8, 1fr) 120px;
    padding: 10px 20px 10px 0;
    align-items: center;
}
.index__item._comp {
    display: grid;
    grid-template-columns: 50px repeat(6, 1fr) 120px;
    padding: 10px 20px 10px 0;
    align-items: center;
}

.index__item>* {
    width: 100%;
}

.index__item:nth-child(2n + 1) {
    background: #047d8120;
}

.index__item.index__header {
    background: var(--cl-cyan);
    color: #fff;
}

.index__field {
    font-size: 11px;
    line-height: 1.2;
    text-align: center;
}

.index__field:first-child {
    font-weight: 700;
}

.index__button {
    padding: 4px 12px;
    background: var(--cl-cyan);
    font-size: 14px;
    color: #fff;
    text-align: center;
    border-radius: 4px;
    transition: 0.4s;
    cursor: pointer;
    font-weight: 700;
}
.item__button{
    height: 26px;
    width: 26px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
}
.index__button.plus{
    padding: 2px 8px;
}
.index__button.plus span{
    font-size: 20px;
    line-height: 1;
}
.index__button:hover {
    background: var(--cl-cyan-hover);
}

.index__actions {
    text-align: center;
    display: flex;
    gap: 6px;
}

.page__title {
    font-size: 32px;
    font-weight: 600;
    margin-bottom: 20px;
}

.page__button {
    margin: 24px auto 0;
    padding: 10px 24px;
    background: var(--cl-cyan);
    transition: 0.4s;
    display: block;
    color: #fff;
    text-align: center;
    border-radius: 4px;
    width: fit-content;
    height: max-content;
    cursor: pointer;
}
.page__flex{
    display: flex;
    justify-content: space-between;
    margin-bottom: 24px;
}
.page__flex .page__button{
    margin: 0;
}

.page__button:hover {
    background: var(--cl-cyan-hover);
}

.main__nav{
    display: flex;
    gap: 8px;
    width: 100%;
    margin: 40px 0 20px;
    flex-wrap: wrap;
}
.page__title+.main__nav{
    margin-top: 0;
}
.page__flex .main__nav{
    margin: 0;
    width: max-content;
}
.main__button {
    padding: 8px 12px;
    font-size: 12px;
    background: var(--cl-cyan);
    transition: 0.4s;
    display: block;
    color: #fff;
    text-align: center;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main__button.disabled{
    display: none;
}

.main__button:hover {
    background: var(--cl-cyan-hover);
}

.table__row {
    display: grid;
    border: solid 1px var(--cl-cyan);
    font-size: 11px;
}

.table__item {
    display: grid;
    grid-template-columns: 100px repeat(13, 1fr);
    align-content: center;
}

.table__field {
    border: solid 1px var(--cl-cyan);
    max-width: 100%;
    padding: 4px;
    overflow: hidden;
    width: 100%;
    word-wrap: break-word;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-width: fit-content;
    text-align: center;
    font-size: 11px;
    max-width: 100%;
    width: 100%;
}

.table__actions {
    border: solid 1px var(--cl-cyan);
    padding: 4px;
    word-wrap: break-word;
}

.table__button {
    padding: 4px 6px;
    background: var(--cl-cyan);
    font-size: 10px;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    transition: 0.4s;
}

.table__button:hover {
    background: var(--cl-cyan-hover);
}

.table__actions {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 4px;
}

.table__field:first-child {
    font-weight: 700;
}

.table__header>* {
    background: var(--cl-cyan);
    color: #fff;
    border-color: #ffffff80;
}

.table__item:nth-child(2n + 1) {
    background: #047d8120;
}
.search__form{
    display: flex;
    gap: 24px;
    align-items: center;
}
.search__input {
    display: flex;
    gap: 10px;
    border: solid 2px #000;
    border-radius: 100px;
    overflow: hidden;
}
.search__select{
    display: flex;
    gap: 10px;
    border: solid 2px #000;
    border-radius: 100px;
    overflow: hidden;
    height: 40px;
}

.search__input:focus-within {
    border-color: var(--cl-cyan);
}

.search__input:hover {
    border-color: var(--cl-cyan-hover);
}

.search__input button {
    border: 0;
    display: flex;
    width: 36px;
    height: 36px;
    align-items: center;
    justify-content: center;
    background: #fff;
    border-radius: 100px;
    transition: 0.2s;
}

.search__input button:hover {
    background: #dadada;
}

.search__input input,
.search__input input:focus {
    outline: 0 !important;
    border: 0 solid transparent !important;
}

.user {
    display: flex;
    gap: 10px;
    align-items: center;
    background: var(--cl-cyan);
    border-radius: 4px;
    padding: 10px 32px 10px 12px;
    color: #fff;
}

.user__photo {
    width: 36px;
    height: 36px;
    border-radius: 100px;
    display: flex;
    overflow: hidden;
}

.user__info {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.user__name {
    font-weight: 500;
    line-height: 1;
}

.user__work {
    line-height: 1;
}

.popup {
    position: fixed;
    z-index: 9;
    top: 80px;
    height: calc(100vh - 80px);
    width: 100%;
    padding: 20px 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.4s;
}

.popup._active {
    opacity: 1;
    visibility: visible;
}

.popup .overlay {
    background: #00000020;
    backdrop-filter: blur(4px);
    position: fixed;
    top: 80px;
    height: calc(100vh - 80px);
    width: 100%;
    z-index: 9;
}

.popup .container {
    position: relative;
    z-index: 10;
}

.closure {
    position: fixed;
    z-index: 10;
    top: 100px;
    opacity: 0;
    visibility: hidden;
    transition: 0.4s;
    width: 100%;
}

.closure._active {
    opacity: 1;
    visibility: visible;
}

.closure__icon {
    text-align: right;
    padding: 6px;
    font-size: 24px;
    cursor: pointer;
    font-weight: 500;
    background: var(--cl-cyan);
    margin-left: auto;
    display: flex;
    width: fit-content;
    line-height: 1;
    align-items: center;
    justify-content: center;
    border-radius: 1000px;
    margin-right: 20px;
    margin-top: 20px;
}

.popup .container {
    height: 100%;
}

.popup__content {
    width: 100%;
    height: 100%;
    background: #fff;
    border-radius: 20px;
    padding: 24px 40px;
    display: grid;
    grid-template-rows: auto auto auto 1fr;
}

.popup__name {
    font-size: 24px;
    font-weight: 700;
    ;
}

.popup__tabs {
    display: flex;
    gap: 20px;
    margin: 20px 0;
}

.popup__tab {
    border: solid 2px var(--cl-cyan);
    border-radius: 100px;
    transition: 0.4s;
    font-size: 16px;
    font-weight: 500;
    padding: 12px 20px;
    cursor: pointer;
}

.popup__tab:hover {
    background: var(--cl-cyan-hover);
    color: #fff;
    border-color: var(--cl-cyan-hover);
}

.popup__tab._active {
    background: var(--cl-cyan);
    color: #fff;
    border-color: var(--cl-cyan);
}

.input-styled {
    border: solid 2px var(--cl-cyan) !important;
    border-radius: 4px;
    padding: 12px 20px;
    outline: unset !important;
    box-shadow: unset !important;
    width: fit-content;
    min-width: 400px;
}

.popup__results {
    max-width: 100%;
    max-height: 100%;
    overflow: auto;
}

.noresult {
    font-size: 16px;
    font-weight: 500;
}

.result {
    display: grid;
    margin: 0 0 2px;
    border-radius: 4px;
    padding: 12px 20px;
    grid-template-columns: 200px 120px 60px 200px 70px 70px 80px auto;
    align-items: center;
    gap: 20px;
    font-size: 13px;
    border: solid 2px var(--cl-cyan);
}

.result:first-child{
    background: var(--cl-cyan);
    color: #fff;
}

.result__name {
    padding-right: 20px;
}

.result__button {
    margin-left: auto;
    background: var(--cl-cyan);
    color: #fff;
    padding: 8px 20px;
    border-radius: 4px;
    font-weight: 500;
    cursor: pointer;
    text-align: right;
    transition: 0.4s;
}
.result__button:hover{
    background: var(--cl-cyan-hover);
    color: #fff;
}

.result__title {
    color: #fff;
    background: var(--cyan);
}

._righted{
    text-align: right;
}

.search__tern {
    margin-bottom: 20px;
}

.child__item {
    display: grid;
    border-radius: 5px;
    box-shadow: 0 0 4px 0px #000000;
}

.child__table {
    display: grid;
    gap: 10px;
    margin-bottom: 10px;
}

.child__row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    border-bottom: solid 1px #000;
}

.child__value {
    text-align: right;
    max-width: 100%;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    padding: 6px 10px;
    align-items: center;
    gap: 4px;
}

.child__row:last-child {
    border-bottom: 0;
}

.child__value input {
    width: 100px;
    display: block;
    border: solid 2px #000;
    text-align: right;
    border-radius: 4px;
}

.child__title {
    padding: 6px 10px;
    background: var(--cl-cyan);
    color: #fff;
    height: 100%;
    display: flex;
    align-items: center;
    font-weight: 600;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.child-upper {
    margin: 10px 10px 20px 10px;
    border: solid 2px var(--cl-cyan);
    box-shadow: 0 0 4px 0 #00000080;
    border-radius: 4px;
}

._hide{
    display: none!important;
}

.index__item:not(.open)+.child-container{
    display: none;
}
.index__item .plus span{
    display: block;
    transition: 0.4s;
    font-weight: 700;
}
.index__item.open .plus span{
    transform: rotate(45deg);
}

.page__nav{
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.page__nav-item{
    background: var(--cl-cyan);
    color: #fff;
    padding: 12px 24px;
    transition: 0.4s;
    border-radius: 10px;
    cursor: pointer;
}
.page__nav-item:hover{
    background: var(--cl-cyan-hover);
}

.unsorted{
    display: none!important;
}

table {
    width: 100%;
    border: solid 2px var(--cl-cyan);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 4px 0 #00000080;
}

tr {
    border: solid 1px var(--cl-cyan);
}

td {
    border: solid 1px var(--cl-cyan);
    padding: 10px;
    text-align: center;
}
td input {
    font-size: 11px;
}

th {
    border: solid 1px #000;
    background: var(--cl-cyan);
    color: #fff;
    font-weight: 700;
    padding: 10px;
}

.tbl__action {
    width: 100%;
    display: block;
    text-align: center;
    padding: 6px 10px;
    background: var(--cl-cyan);
    color: #fff;
    border-radius: 4px;
    transition: 0.4s;
}

.tbl__action:not(:last-child){
    margin-bottom: 4px;
}

.tbl__action:hover {
    background: var(--cl-cyan-hover);
}

.tbl__action.black{
    background: #fff;
    border: solid 1px var(--cl-cyan-hover);
    color: var(--cl-cyan-hover);
}
.tbl__action.black:hover{
    background: var(--cl-cyan-hover);
    color: #fff;
}

._bold{
    font-weight: 700;
}

.comp__info {
    display: grid;
    grid-template-columns: repeat(4, auto);
    width: fit-content;
    height: max-content;
}

.comp__top {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 60px;
    margin-bottom: 40px;
}

.comp__info>* {
    padding: 6px 10px;
    border: solid 1px #000;
}

.comp__title {
    font-weight: 700;
    background: var(--cl-cyan);
    color: #fff;
}

.comp__actions {
    display: flex;
    gap: 20px;
}

.comp__docs {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.comp__docs>* {
    background: #fff;
    color: #000;
    padding: 6px 18px;
    border-radius: 4px;
    font-weight: 500;
    box-shadow: 0 0 4px 1px #00000020;
    cursor: pointer;
    transition: 0.4s;
}

.comp__docs>*:hover{
    background: #ccc;
}

.comp__docs>*.active{
    color: #fff;
    background: var(--cl-cyan);
}

.comp__personnel {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    width: 100%;
    margin-bottom: 10px;
}

.comp__personnel>* {
    padding: 6px 10px;
    border: solid 1px var(--cl-cyan);
    display: flex;
    align-items: center;
}

.comp__personnel._info{
    grid-template-columns: repeat(4, 1fr);
}

.table__button{
    width: 100%;
    display: block;
}

.table__button:not(:last-child){
    margin-bottom: 4px;
}

table._lesser{
    font-size: 11px;
}
table._lesser *:is(td, th){
    padding: 4px 2px;
    line-height: 1.25;
}

table._lesser *:is(td, th)._width-price{
    width: 100px;
    max-width: 100px;
}

table._lesser *:is(td, th)._width-coef{
    width: 60px;
    max-width: 60px;
}

tr.spacer.open {
    height: 10px;
}

tr.child {
    background: #ccfaf6;
}
tr.child.item{
    background: #eee;
}

._hidden{
    display: none;
}

tr.child:not(.active){
    display: none;
}

.page__nav{
    display: flex;
    gap: 24px;
}
.page__nav.nomargin{
    margin-bottom: 12px;
}
.user{
    position: relative;
}

.user__wrapper{
    position: absolute;
    top: 100%;
    width: 100%;
    left: 0;
    padding-top: 6px;
    opacity: 0;
    visibility: hidden;
    transition: 0.4s;
}
.user:hover .user__wrapper{
    opacity: 1;
    visibility: visible;
}
.user__cab{
    width: 100%;
    display: flex;
    color: #000;
    background: #fff;
    border-radius: 4px;
    padding: 10px 12px;
    flex-direction: column;
    font-weight: 700;
    gap: 4px;
    box-shadow: 0 0 4px 0 #00000080;
}
.user__link{
    transition: 0.4s;
}
.user__link.red{
    color: #a31a1a;
}
.user__link:hover{
    color: var(--cl-cyan-hover);
}

.block__title{
    font-size: 20px;
    font-weight: 700;
    margin: 24px 0 6px;
}

.table__input{
    border: 0;
    max-width: 60px;
    text-align: center;
}
tr.gap{
    height: 16px;
}
tr.gap:last-child{
    display: none!important;
}

.item._child{
    background: #f2f2f2;
}

.item._child._item{
    background: #dbf5ff;
}

._centered{
    text-align: center;
}
.result_input{
    text-align: center;
    background: transparent;
    width: 100%;
    border: solid 2px var(--cl-cyan);
    border-radius: 4px;
}

.thumbnail{
    display: flex;
    width: 60px;
    height: 60px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.thumbnail img{
    max-height: 100%;
    max-width: 100%;
}


.pop {
    position: fixed;
    top: 80px;
    height: calc(100vh - 80px);
    width: 100%;
    padding: 20px 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.4s;
}

.pop._active {
    opacity: 1;
    visibility: visible;
}

.popback {
    background: #00000020;
    backdrop-filter: blur(4px);
    position: fixed;
    top: 80px;
    height: calc(100vh - 80px);
    width: 100%;
    cursor: pointer;
}

.pop .container {
    position: relative;
    height: 100%;
    width: fit-content;
}

.pop__content {
    width: 100%;
    height: 100%;
    background: #fff;
    border-radius: 20px;
    padding: 0;
    overflow-y: auto;
    display: block;
}
.pop__actual{
    padding: 0 40px 24px;
}

.pop__name {
    display: flex;
    justify-content: space-between;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    font-size: 24px;
    font-weight: 700;
    gap: 40px;
    padding: 24px 40px;
    position: sticky;
    top: 0;
    background: #fff;
    border-bottom: solid 1px #00000040;
    margin-bottom: 12px;
}

.pop__buttons{
    display: flex;
    gap: 12px;
}
.pop__button{
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.4s;
    overflow: hidden;
    border-radius: 4px;
    cursor: pointer;
    border: solid 2px #000;
}

.pop__search{
    background: var(--cl-cyan);
    border-color: var(--cl-cyan);
}

.pop__save{
    background: var(--cl-cyan);
    border-color: var(--cl-cyan);
}
.pop__close{
    background: #000;
}

.pop__button svg{
    width: 28px;
    height: 28px;
}


.pop__button:hover{
    background-color: #fff;
    border-color: #000;
}
.pop__button path{
    transition: 0.4s;
}

.pop__button:hover path{
    fill: #000;
}

.form__wrap {
    display: grid;
    gap: 20px;
    height: fit-content;
}

.form__row {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.form__block {
    display: grid;
    gap: 12px;
    height: fit-content;
    min-width: 300px;
    width: 100%;
}

.form__label {
    font-size: 20px;
    font-weight: 700;
    padding-left: 6px;
}

.form__input {
    display: flex;
    width: 100%;
    height: 36px;
    padding: 6px 12px;
    border-radius: 8px;
    border: solid 1px #000;
    min-width: 300px;
    font-size: 16px;
}

.form__input:focus {
    border-color: var(--cl-cyan);
}

.child__item{
    cursor: move;
}

.engi{
    display: flex;
    gap: 12px;
    align-items: center;
}
.engi__block{
    display: flex;
    height: 32px;
    border-radius: 4px;
    overflow: hidden;
    border: solid 1px var(--cl-cyan);
    align-items: center;
    cursor: pointer;
}
.engi__check{
    width: 32px;
    height: 32px;
    border: solid 1px var(--cl-cyan);
    border-radius: 4px;
    margin: 0 0 0 -1px;
}
.engi__title{
    font-weight: 700;
    padding: 0 12px;
}
.engi__check._active{
    background: var(--cl-cyan);
}

.table-icons{
    display: flex;
    justify-content: center;
    gap: 8px;
}

.table-icon{
    margin: 0;
    display: flex;
    width: 16px;
    height: fit-content;
}
.table-icon svg{
    width: 16px;
    height: fit-content;
}
.table-icon path{
    stroke: #fff;
}

.table-icons .table-icon{
    width: 24px;
    padding: 4px;
    border-radius: 4px;
    cursor: pointer;
    background: var(--cl-cyan);
    transition: 0.4s;
}
.table-icons .table-icon:hover{
    background: var(--cl-cyan-hover);
}
tr>*:first-child{
    width: 102px;
}
.totals{
    display: flex;
    flex-direction: column;
    margin: 20px auto 0;
    gap: 8px;
    width: max-content;
    padding: 12px 20px;
    border-radius: 6px;
    border: solid 2px var(--cl-cyan);
    font-size: 16px;
}
.total__row{
    display: flex;
    gap: 8px;
    align-items: center;
    line-height: 1;
}

.table-preserve tr>*:nth-child(1){
    width: 42px;
}
.table-preserve tr>*:nth-child(2){
    width: 5%;
}
.table-preserve tr>*:nth-child(3){
    width: 66px;
}
.table-preserve tr>*:nth-child(4){
    width: 20%;
}
.table-preserve tr>*:nth-child(5){
    width: 60px;
}
.table-preserve tr>*:nth-child(6){
    width: 60px!important;
}
.table-preserve tr>*:nth-child(n+6){
    width: 60px!important;
}

.table-preserve tr>td:last-child{
    padding: 4px 8px;
}
.table-preserve tr>*:last-child textarea{
    min-width: 100%!important;
    max-width: 100%!important;
}
